From c26ea240dea4544a3396f595e9611465cbb3efc8 Mon Sep 17 00:00:00 2001
From: Bao Xiaowei <xiaowei.bao@nxp.com>
Date: Tue, 1 Aug 2017 11:04:22 +0800
Subject: [PATCH] powerpc: Enhance the strongly of the pcie device link status
 judgment

For the customer to reflect the pcie device link state there is a
mistake, add pcie device link state to determine the strongly, only in
ltssm == PCI_LTSSM_L0 that pcie device in a link state

Signed-off-by: Bao Xiaowei <xiaowei.bao@nxp.com>
---
 drivers/pci/fsl_pci_init.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/drivers/pci/fsl_pci_init.c b/drivers/pci/fsl_pci_init.c
index af20cf0..f1a3eae 100644
--- a/drivers/pci/fsl_pci_init.c
+++ b/drivers/pci/fsl_pci_init.c
@@ -463,7 +463,7 @@ void fsl_pci_init(struct pci_controller *hose, struct fsl_pci_info *pci_info)
 		/* pci_hose_read_config_word(hose, dev, PCI_LTSSM, &ltssm); */
 		/* enabled = ltssm >= PCI_LTSSM_L0; */
 		pci_hose_read_config_word(hose, dev, PCI_LTSSM, &ltssm);
-		enabled = ltssm >= PCI_LTSSM_L0;
+		enabled = (ltssm == PCI_LTSSM_L0) ? 1 : 0;
 
 #ifdef CONFIG_FSL_PCIE_RESET
 		if (ltssm == 1) {
@@ -485,7 +485,7 @@ void fsl_pci_init(struct pci_controller *hose, struct fsl_pci_info *pci_info)
 				debug("....PCIe link error. "
 				      "LTSSM=0x%02x.\n", ltssm);
 			}
-			enabled = ltssm >= PCI_LTSSM_L0;
+			enabled = (ltssm == PCI_LTSSM_L0) ? 1 : 0;
 
 			/* we need to re-write the bar0 since a reset will
 			 * clear it
@@ -514,7 +514,7 @@ void fsl_pci_init(struct pci_controller *hose, struct fsl_pci_info *pci_info)
 					pci_hose_read_config_word(hose, dev, PCI_LTSSM, &ltssm);
 					udelay(1000);
 				}
-				enabled = ltssm >= PCI_LTSSM_L0;
+				enabled = (ltssm == PCI_LTSSM_L0) ? 1 : 0;
 			}
 		}
 #endif
-- 
2.1.0.27.g96db324

